<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Leaflet Map</title>
    <!-- Include Leaflet CSS -->
    <link rel="stylesheet" href="/css/leaflet.css"/>
    <!-- Include Leaflet JavaScript -->
    <script src="/js/leaflet.js"></script>
    <!-- Set CSS for map container -->
    <style>
        /* Set HTML and body to fill the viewport */
        html, body { height: 100%; margin: 0; }
        /* Set map container to fill the entire viewport */
        #map { height: 100%; width: 100%; }
    </style>
</head>
<body>

<div id="map"></div>

<script>
    // Initialize Leaflet map
    var map = L.map('map').setView([39.427707, -127.65564], 7);

    // Add tile layer with custom URL
    L.tileLayer('/osm/tiles/{z}/{x}/{y}', {
        attribution: 'Your custom attribution here'
    }).addTo(map);
</script>

</body>
</html>
